| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ChronoAuditor Class Reference

`#include <ChronoAuditor.h>`

Inheritance diagram for ChronoAuditor:

[legend]
Collaboration diagram for ChronoAuditor:

[legend]
List of all members.

## Detailed Description

Monitors the cpu time usage of each algorithm.

Author:
  David Quarrie

Definition at line 14 of file ChronoAuditor.h.

## Public Member Functions
| ChronoAuditor (const std::string &name, ISvcLocator *pSvcLocator)
virtual | ~ChronoAuditor ()
virtual void | beforeInitialize (INamedInterface *alg)
virtual void | afterInitialize (INamedInterface *alg)
virtual void | beforeReinitialize (INamedInterface *alg)
virtual void | afterReinitialize (INamedInterface *alg)
virtual void | beforeExecute (INamedInterface *alg)
virtual void | afterExecute (INamedInterface *alg, const StatusCode &)
virtual void | beforeBeginRun (INamedInterface *alg)
virtual void | afterBeginRun (INamedInterface *alg)
virtual void | beforeEndRun (INamedInterface *alg)
virtual void | afterEndRun (INamedInterface *alg)
virtual void | beforeFinalize (INamedInterface *alg)
virtual void | afterFinalize (INamedInterface *alg)
IChronoStatSvc * | chronoSvc ()
## Private Attributes
IChronoStatSvc * | m_chronoSvc

## Constructor & Destructor Documentation

ChronoAuditor::ChronoAuditor | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator |
| ) |  |  |

Definition at line 13 of file ChronoAuditor.cpp.

References StatusCode::ignore(), m_chronoSvc, and Auditor::service().

    00014 : Auditor(name, pSvcLocator) {
    00015   service( "ChronoStatSvc", m_chronoSvc, true).ignore();
    00016 }

ChronoAuditor::~ChronoAuditor | ( |  | ) | `[virtual]`

Definition at line 18 of file ChronoAuditor.cpp.

References m_chronoSvc, and IInterface::release().

    00018                              {
    00019   m_chronoSvc->release();
    00020 }

## Member Function Documentation

void ChronoAuditor::beforeInitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 22 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00022                                                          {
    00023   chronoSvc( )->chronoStart( alg->name() + ":initialize" ) ;
    00024 }

void ChronoAuditor::afterInitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 25 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00025                                                         {
    00026   chronoSvc( )->chronoStop( alg->name() + ":initialize" ) ;
    00027 }

void ChronoAuditor::beforeReinitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 29 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00029                                                            {
    00030   chronoSvc( )->chronoStart( alg->name() + ":reinitialize" ) ;
    00031 }

void ChronoAuditor::afterReinitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 32 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00032                                                           {
    00033   chronoSvc( )->chronoStop( alg->name() + ":reinitialize" ) ;
    00034 }

void ChronoAuditor::beforeExecute | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 36 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00036                                                       {
    00037   chronoSvc( )->chronoStart( alg->name() + ":execute" ) ;
    00038 }

void ChronoAuditor::afterExecute | ( | INamedInterface * | alg,
|  | const StatusCode & |  |
| ) |  |  | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 39 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00039                                                                           {
    00040   chronoSvc( )->chronoStop( alg->name() + ":execute" ) ;
    00041 }

void ChronoAuditor::beforeBeginRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 43 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00043                                                        {
    00044   chronoSvc( )->chronoStart( alg->name() + ":beginRun" ) ;
    00045 }

void ChronoAuditor::afterBeginRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 46 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00046                                                       {
    00047   chronoSvc( )->chronoStop( alg->name() + ":beginRun" ) ;
    00048 }

void ChronoAuditor::beforeEndRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 49 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00049                                                      {
    00050   chronoSvc( )->chronoStart( alg->name() + ":endRun" ) ;
    00051 }

void ChronoAuditor::afterEndRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 52 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00052                                                     {
    00053   chronoSvc( )->chronoStop( alg->name() + ":endRun" ) ;
    00054 }

void ChronoAuditor::beforeFinalize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 57 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStart(), chronoSvc(), and INamedInterface::name().

    00057                                                         {
    00058   chronoSvc( )->chronoStart( alg->name() + ":finalize" ) ;
    00059 }

void ChronoAuditor::afterFinalize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 60 of file ChronoAuditor.cpp.

References IChronoSvc::chronoStop(), chronoSvc(), and INamedInterface::name().

    00060                                                       {
    00061   chronoSvc( )->chronoStop( alg->name() + ":finalize" ) ;
    00062 }

IChronoStatSvc* ChronoAuditor::chronoSvc | ( |  | ) | `[inline]`

Definition at line 30 of file ChronoAuditor.h.

References m_chronoSvc.

Referenced by afterBeginRun(), afterEndRun(), afterExecute(), afterFinalize(), afterInitialize(), afterReinitialize(), beforeBeginRun(), beforeEndRun(), beforeExecute(), beforeFinalize(), beforeInitialize(), and beforeReinitialize().

    00030 { return m_chronoSvc; }

## Member Data Documentation

IChronoStatSvc* ChronoAuditor::m_chronoSvc`[private]`

Definition at line 32 of file ChronoAuditor.h.

Referenced by ChronoAuditor(), chronoSvc(), and ~ChronoAuditor().

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAud/v8r6/src/ChronoAuditor.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAud/v8r6/src/ChronoAuditor.cpp